﻿namespace Connected.Middleware.Annotations;

[AttributeUsage(AttributeTargets.Class, AllowMultiple = true)]
public sealed class MiddlewareAttribute<TComponent> : Attribute
{
	public MiddlewareAttribute(string componentMethod)
	{
		ComponentMethod = componentMethod;
	}
	public string? ComponentMethod { get; }
}
